%define _disable_ld_no_undefined 1

%define libname 	%mklibname lbxutil 1
%define develname	%mklibname lbxutil -d
%define _legacy_common_support 1

Name: liblbxutil
Summary: LBX Utility library
Version: 1.1.0
Release: %mkrel 12
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(zlib)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
LBX Utility library.

#-----------------------------------------------------------
%package -n %{libname}
Summary: LBX Utilities
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
LBX Utility library.

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}lbxutil-static-devel < 1.1.0-9

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_includedir}/X11/extensions/*.h
%{_libdir}/liblbxutil.so
%{_libdir}/pkgconfig/lbxutil.pc

#-----------------------------------------------------------

%prep
%setup -q -n liblbxutil-%{version}

# make autoreconf more happy
sed -i -e 's,\(AM_INIT_AUTOMAKE(\[\),\1subdir-objects ,' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/liblbxutil.so.1
%{_libdir}/liblbxutil.so.1.0.0


%changelog
* Tue Aug 04 2020 joequant <joequant> 1.1.0-12.mga8
+ Revision: 1611012
- redo deps
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.1.0-11.mga8
+ Revision: 1514220
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-10.mga7
+ Revision: 1298961
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 1.1.0-9.mga7
+ Revision: 1235708
- fix build on aarch64
- disable static build and drop .la files
+ kekepower <kekepower>
- Use new make macros

* Sat Jan 30 2016 umeabot <umeabot> 1.1.0-8.mga6
+ Revision: 929075
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-7.mga5
+ Revision: 745705
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-6.mga5
+ Revision: 681573
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-5.mga4
+ Revision: 507135
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-4.mga3
+ Revision: 357655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 12 2011 dmorgan <dmorgan> 1.1.0-3.mga1
+ Revision: 6591
- imported package liblbxutil

